jQuery(function($){

	$(document).ready(function() {

		var pagetop = $('.realizer-pagetop');
		$(window).scroll(function () {
			if ($(this).scrollTop() > 128) {
				pagetop.fadeIn();
			} else {
				pagetop.fadeOut();
			}
		});
		pagetop.click(function () {
			$('html, body').animate({ scrollTop: 0 }, 500, 'swing');
			return false;
		});

		$('a[href^="#"]').on('click', function(event) {

			var adjust = -96;
			var target = $($.attr(this, 'href'));
			if (!target.length) return;
			var targetPos = target.offset().top + adjust;

			event.preventDefault();
			$('html, body').animate({ scrollTop: targetPos }, 500, 'swing');
			return false;

		});

	});

});